jajuk (1:1.10.9+dfsg2-1) unstable; urgency=medium

  [ tony mancill ]
  * Moved the package to Git

  [ Felix Natter ]
  * New upstream release (Closes: #800999, #781119).
  * Move to substance-7.3/insubstantial (Closes: #801374).
  * Use Files-Excluded: instead of orig-tar.*
  * Use ant build system from upcoming 1.11 (1.10 build system is broken).
  * Add libqdwizard-java dependency.
  * Add 02_jaudiotagger.patch and build with libjaudiotagger-java 2.0.x
  * Add 04_disable_update_check.patch and disable upstream's update check.
  * Switch Java runtime dependencies from Java 6/7 to Java 7/8.
  * Require trident at runtime (recent substance requires this).
  * Bump to Standards-Version 3.9.8 (no changes).
  * Use github tarball instead of SF one (the SF one is severely broken).
  * Add myself to Uploaders.
  * Update copyright.
  * Remove files with unclear license, apply upstream patch from
    upcoming 1.11 to replace this (06_scrolling_stuff.patch).

  [ Markus Koschany ]
  * Install jajuk icon to /usr/share/icons/hicolor directory.

 -- Felix Natter <fnatter@gmx.net>  Sat, 09 Apr 2016 14:08:19 +0200

jajuk (1:1.9.6-9.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Cadhalpun ]
  * debian/control: Change mplayer2 dependency back to mplayer. (Closes:
    #795418)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 12 Oct 2015 18:26:35 +0200

jajuk (1:1.9.6-9) unstable; urgency=medium

  * Team upload.
  * Improved the build reproducibility by replacing the build date in Const.java
    with the date of the last entry in debian/changelog. Thanks to Chris Lamb.
    (Closes: #776297)
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 26 Jan 2015 16:35:25 +0100

jajuk (1:1.9.6-8) unstable; urgency=medium

  * Team upload.
  * Patched the build script to recognize Java 8
  * Changed the dependency on mplayer to mplayer2
  * Switch to debhelper level 9
  * debian/control: Fixed the Vcs-Svn URL
  * Use XZ compression for the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 17 Apr 2014 16:35:20 +0200

jajuk (1:1.9.6-7) unstable; urgency=low

  [ Emmanuel Bourg ]
  * Team upload.
  * d/control: Use canonical URLs for the Vcs-* fields
  * d/control: Updated Standards-Version to 3.9.5 (no changes)

  [ Andrew Ross ]
  * Add patch 03_validation.diff to permit build with newer
    libsimple-validation-java. (Closes: #728637)

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Mon, 04 Nov 2013 22:37:20 +0000

jajuk (1:1.9.6-6) unstable; urgency=low

  [ James Page ]
  * Transition package to default java implementation (Closes: #683540):
    - d/control: Switch BD from openjdk-6-jdk -> default-jdk, make
      default-jre the primary dependency for runtime.
    - d/rules: Prefer default-java for JAVA_HOME.

  [ Damien Raude-Morvan ]
  * d/control: Ensure to use default-{jdk,jre} (>= 1:1.6).
  * d/control: Bump Standards-Version to 3.9.3: no changes needed.
  * d/copyright: Upgrade to copyright-format 1.0

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 16 Aug 2012 23:02:01 +0200

jajuk (1:1.9.6-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Use Guava:
    - d/control: Build-Depends and Depends on libguava-java r11.
    - d/rules: Add guava to DEB_JARS.
    - d/MANIFEST.MF: Add guava to runtime classpath.
  * d/copyright: Small fixes, thanks to lintian!

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 22 Feb 2012 23:15:18 +0100

jajuk (1:1.9.5-3) unstable; urgency=low

  * Fix "FTBFS: JAVA_HOME not defined correctly.", in debian/rules:
    Check for multi-arch openjdk (Closes: #643512).
  * d/control: Build-Depends on openjdk-6-jdk but
    Depends on openjdk-6-jre | java6-jre | java7-jre
  * d/jajuk.sh: Allow searching for java7.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 28 Sep 2011 17:43:21 +0200

jajuk (1:1.9.5-2) unstable; urgency=low

  * d/patches/02_lastfm_fix_0_1_0.diff: Fix build with latest lastfm
    java binding.
  * d/control: Depends and B-D on liblastfm-java (>= 1:0.1.0)
  * d/control: wrap-and-sort Depends and B-D.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 21 Aug 2011 15:25:40 +0200

jajuk (1:1.9.5-1) unstable; urgency=low

  * New upstream release.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 30 Jul 2011 13:55:10 +0200

jajuk (1:1.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 19 Jul 2011 20:21:39 +0200

jajuk (1:1.9.3-1) unstable; urgency=low

  * New upstream release.
  * d/control: Depends on librhino-java instead of rhino.
  * Bump Standards-Version to 3.9.2: no changes needed.

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 14 Jul 2011 20:37:21 +0200

jajuk (1:1.9.2-1) unstable; urgency=low

  * New upstream release.
  * d/copyright: Upgrade to latest DEP-5 r166 format and add information
    about public domain content.
  * d/{watch,orig-tar.sh,orig-tar.exclude}: Download upstream tarball from
    sourceforce download area.
  * d/{rules,ant.proprties}: Use upstream Ant build-system instead of
    debian/build.xml.
  * d/patches/01_override_manifest.diff: Override Class-Path definition for
    Jajuk.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 26 Mar 2011 12:44:22 +0100

jajuk (1:1.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 20 Dec 2010 22:51:36 +0100

jajuk (1:1.9-1) unstable; urgency=low

  * New upstream -final- release: 1.9 "Killer Queen".

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 21 Nov 2010 20:09:36 +0100

jajuk (1:1.9~RC9+svn6163-1) unstable; urgency=low

  * New release candidate: 1.9 RC9.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 06 Nov 2010 23:21:20 +0100

jajuk (1:1.9~RC5~svn6021-1) unstable; urgency=low

  [ Torsten Werner ]
  * Change maintainers into Maintainers.

  [ Damien Raude-Morvan ]
  * New release candidate: 1.9 RC5.
  * d/control: Bump Standards-Version to 3.9.1: no changes needed.
  * d/rules: Fix jajuk.version transformation to match upstream UpgradeManager
    handling.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 27 Jul 2010 15:46:48 +0200

jajuk (1:1.9~RC2~svn5837-1) unstable; urgency=low

  * New release candidate -- 1.9 Killer Queen
  * Add (Build-)Depends libsimple-validation-java
  * Remove all patches/* -- merged upstream
  * Fix watch file

 -- Varun Hiremath <varun@debian.org>  Sat, 10 Apr 2010 19:42:54 -0400

jajuk (1:1.8.4-1) unstable; urgency=low

  * In accordance with upstream recommendation, revert to 1.8.4 tag
    as 1.8.5 release won't be released:
    - use epoch "1" as release number prefix
    - debian/orig-tar.sh: svn export from tags
  * debian/install: Removed (logic moved to debian/rules)
  * debian/README.source: Remove "patch system" section as we now use
    3.0 (quilt) as source format
  * debian/docs: Removed (empty)

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 03 Mar 2010 23:26:53 +0100

jajuk (1.8.5~svn5725-1) unstable; urgency=low

  * New snapshot from 1.8 maintenance branch (r5725):
    - Remove jaudiotagger2.diff patch (merged upstream)
    - Refresh jintellitype.diff patch
  * Bump Standards-Version to 3.8.4 (no changes needed).
  * Source format 3.0 (quilt).
  * Update debian/copyright and convert to DEP5 format
  * Depends on rhino package and add js.jar to Class-Path in JAR
    to prevent issue with HTML viewer.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 26 Feb 2010 23:01:31 +0100

jajuk (1.8.4~svn5662-1) unstable; urgency=low

  * New snapshot from 1.8 maintenance branch (r5662).
    - remove jajuktablemodel.diff: merged upstream

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 09 Jan 2010 15:35:06 +0100

jajuk (1.8.4~svn5628-1) unstable; urgency=low

  * New upstream bugfix release
    - Snapshot from 1.8 maintenance branch (r5628).
  * debian/patches:
    - (new) jaudiotagger.diff: fix compat with Jaudiotagger 2.0
    - (new) jajuktablemodel.diff: never return null in getColumnClass
    - (new) jintellitype.diff: disable jintellitype (win32 only)
  * Thighten Depends and B-D:
    - substance >= 5.2
    - libjaudiotagger >= 2.0.0
    - libswingx >= 1:1.6
  * Bump debhelper version to >= 7

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 30 Dec 2009 22:08:36 +0100

jajuk (1.8.2~svn5414-1) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * New upstream bugfix release
    - Snapshot from 1.8 maintenance branch (r5414).
    - Fix NPE in CatalogView when running under KDE.
  * Update my email address.

  [ Michael Koch ]
  * Fixed watch file.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 23 Oct 2009 19:42:06 +0200

jajuk (1.8.1+svn5138-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Use libjhlabs-filters-java instead of libpixels-java
    - Bump Standards-Version to 3.8.3
  * debian/MANIFEST.MF: replace pixels with jhlabs-filters
  * debian/rules: replace pixels with jhlabs-filters in DEB_JARS
  * Fix debian/watch file
  * debian/orig-tar.sh: track only the latest maintenance branch

 -- Varun Hiremath <varun@debian.org>  Sun, 30 Aug 2009 22:09:13 -0400

jajuk (1.8~svn5030-1) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * New upstream release 1.8 Breathless (r5030).
  * debian/control:
    - Add liblastfm-java, libxstream-java, libcommons-lang-java
      and libcommons-io-java in Depends and Build-Depends
    - Remove javahelp2, libjgoodies-forms-java and libqdwizard-java
      from Build-Depends
    - Add java-wrappers to Depends (for shell script)
  * debian/rules:
    - Add pixels, lastfm, commons-lang, commons-io and xstream in DEB_JARS
    - Remove forms, jh (javahelp2), js (rhino), qdwizard in DEB_JARS
  * debian/MANIFEST.MF:
    - Update like DEB_JARS + remove jdic.jar + add jna.jar
  * Update all patches to new release
  * Add a new substance.diff patch for Substance 5.2 compatibility
  * Rework jajuk.sh launch script:
    - Use java-wrappers for finding a suitable JAVA_HOME (Java6)
    - Move old $HOME/.jajuk_test_{1.7,1.8} to $HOME/.jajuk
      and describe this change in debian/NEWS for users
  * Bump Standards-Version to 3.8.2 (no changes needed)

  [ Varun Hiremath ]
  * debian/jajuk.sh: use upstream settings for JAVA_OPTS
  * debian/orig-tar.sh: remove doc files from source tarball
  * debian/build.xml: remove javadoc build

 -- Varun Hiremath <varun@debian.org>  Sun, 09 Aug 2009 19:13:28 -0400

jajuk (1.8~svn4796-1) unstable; urgency=low

  * New bugfix release from upstream
  * debian/copyright: Tango icons are now released under the public
    domain, update the license.
  * Add libpixels-java to Build-Depends

 -- Varun Hiremath <varun@debian.org>  Sun, 14 Jun 2009 07:36:35 -0400

jajuk (1.8~svn4764-1) unstable; urgency=low

  * Development version from trunk
  * Replace non-free libtablelayout-java with free libmiglayout-java
  * Add libjna-java and libdbus-java to Build-Depends
  * Move to main as all dependencies are now in main

 -- Varun Hiremath <varun@debian.org>  Mon, 25 May 2009 02:18:01 -0400

jajuk (1.7.1-1) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * New upstream release
  * Build and run with OpenJDK-6
    - debian/control: B-D on opendjk-6-jdk and D on openjdk-6-jre
    - debian/jajuk.sh: Run with openjdk-6-jre
    - debian/rules: Build with JAVA_HOME as openjdk-6-jdk
  * Add myself as Uploaders
  * Bump Standards-Version to 3.8.1 (no changes needed)
  * Build-Depends/Depends on libjaudiotagger-java >= 1.0.9
  * Build-Depends/Depends on libqdwizard-java >= 2.1

  [ Varun Hiremath ]
  * Accept changes made by Damien Raude-Morvan (Closes: #522131)
  * Fix VERSION and DATE replace in build.xml

 -- Varun Hiremath <varun@debian.org>  Wed, 01 Apr 2009 20:26:58 -0400

jajuk (1.7~rc10+svn4317-1) unstable; urgency=low

  * New upstream release
  * Add libjaudiotagger-java to (Build-)Depends

 -- Varun Hiremath <varun@debian.org>  Fri, 28 Nov 2008 17:34:41 -0500

jajuk (1.6.2+svn4047-2) unstable; urgency=low

  * Add patches/swingx.diff for changes in the new version of swingx
  * Remove libjdic-java from (Build-)Depends

 -- Varun Hiremath <varun@debian.org>  Tue, 08 Jul 2008 18:26:23 +0530

jajuk (1.6.2+svn4047-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.0

 -- Varun Hiremath <varun@debian.org>  Sun, 22 Jun 2008 19:10:59 +0530

jajuk (1.6+svn3925-1) unstable; urgency=low

  * New upstream release
  * Fix debian/build.xml files, make sure all xml files are installed

 -- Varun Hiremath <varun@debian.org>  Sun, 01 Jun 2008 02:35:56 +0530

jajuk (1.5.3+svn3684-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Sun, 30 Mar 2008 23:05:39 +0530

jajuk (1.5+svn3461-2) unstable; urgency=low

  * Add patches/swingx.diff for changes in the new version of swingx
  * Update patches/cobra.diff for changes in cobra

 -- Varun Hiremath <varun@debian.org>  Thu, 13 Mar 2008 13:46:28 +0530

jajuk (1.5+svn3461-1) unstable; urgency=low

  * New upstream release
  * Move package to non-free as some of the icons used are released under
    the Creative Commons license
  * Remove patches/lastfm.diff - not required
  * Update watch and orig-tar.sh files

 -- Varun Hiremath <varun@debian.org>  Sun, 10 Feb 2008 21:29:03 +0530

jajuk (1.4.6+svn3338-1) unstable; urgency=low

  * New upstream release
  * Install jajuk icon to /usr/share/pixmaps and update jajuk.desktop to
    use this icon.

 -- Varun Hiremath <varun@debian.org>  Sun, 20 Jan 2008 16:57:41 +0530

jajuk (1.4.5+svn3233-1) unstable; urgency=low

  * New upstream release
  * debian/patches:
    + Remove qdwizard-2.0.diff - not required
    + Remove AquaLnFPopupLocationFix.diff - merged upstream
    + Update cobra.diff patch

 -- Varun Hiremath <varun@debian.org>  Wed, 09 Jan 2008 18:24:43 +0530

jajuk (1.4.4+svn3115-3) unstable; urgency=low

  * Add patches/qdwizard-2.0.diff for changes in the new version of
    qdwizard.
  * Fix clean target in debian/build.xml - remove left over jars.

 -- Varun Hiremath <varun@debian.org>  Wed, 19 Dec 2007 04:45:41 +0530

jajuk (1.4.4+svn3115-2) unstable; urgency=low

  * Fix the debian/watch file (Closes: #456481)
  * debian/jajuk.sh: Set java.library.path to /usr/lib/jni/
  * Add patches/AquaLnFPopupLocationFix.diff for the missing class in the
    new version of swingx

 -- Varun Hiremath <varun@debian.org>  Mon, 17 Dec 2007 02:52:05 +0530

jajuk (1.4.4+svn3115-1) unstable; urgency=low

  * New upstream release
  * Update debian/patches
  * debian/control: Bumped up Standards-Version to 3.7.3

 -- Varun Hiremath <varun@debian.org>  Thu, 13 Dec 2007 20:51:40 +0530

jajuk (1.4.3+svn3076-1) unstable; urgency=low

  * New upstream release
    + Fixes issues with volume slider (Closes: #453518)

 -- Varun Hiremath <varunhiremath@gmail.com>  Fri, 30 Nov 2007 12:53:44 +0530

jajuk (1.4.3~rc3+svn3068-1) unstable; urgency=low

  * New upstream release
  * debian/jajuk.sh: Set java.library.path to /usr/lib/libjdic-java/

 -- Varun Hiremath <varunhiremath@gmail.com>  Fri, 23 Nov 2007 09:26:34 +0530

jajuk (1.4.2+svn3034-1) unstable; urgency=low

  * New upstream release
  * Move the package to pkg-java svn.
  * debian/control:
    + Set Maintainer to Debian Java Maintainers and add myself to Uploaders.
    + Add liblaf-widget-java and liblaf-plugin-java to Depends (Closes: #449556)
  * Add some patches from upstream.
  * Use "exec" in the jajuk startup script.
  * Set jajuk.version from debian/rules instead of specifying it in
    ant.properties.

 -- Varun Hiremath <varunhiremath@gmail.com>  Fri, 23 Nov 2007 09:25:46 +0530

jajuk (1.4+svn2993-1) unstable; urgency=low

  * Initial release (Closes: #423608)

 -- Varun Hiremath <varunhiremath@gmail.com>  Thu, 11 Oct 2007 07:36:30 +0530
